API Reference
Provider directory list
Query Parameters
state?string|null
insurance?string|null
providerType?|
Uses ProviderType::parse_filter's case-insensitive matching (not
ProviderType's own case-sensitive derive) so accepted wire values are
unchanged from before this field was typed.
gender?|
Uses parse_gender_filter's case-insensitive matching (not
ProviderGender's own case-sensitive derive) so accepted wire values
are unchanged from before this field was typed.
limit?|
offset?|
Response Body
application/json
curl -X GET "https://example.com/v1/providers"{
"limit": 0,
"offset": 0,
"providers": [
{
"acceptedInsurance": [
"string"
],
"acceptedInsuranceByState": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"appointmentTypes": [
{
"description": "string",
"id": 0,
"name": "string",
"states": [
"string"
]
}
],
"bio": "string",
"certifications": [
{
"issuer": "string",
"name": "string"
}
],
"clinicalInterests": [
"string"
],
"credentials": "string",
"displayName": "string",
"education": [
{
"degree": "string",
"field": "string",
"institution": "string",
"year": 0
}
],
"gender": "female",
"headshotUrl": "string",
"id": "string",
"menopauseSocietyCertified": true,
"profileUrl": "string",
"providerType": "nursePractitioner",
"slug": "string",
"statesAcceptingPatients": [
"string"
],
"statesLicensed": [
"string"
]
}
],
"total": 0
}